set_clip_state(3)

NAME
set_clip_state - Turns on or off the clipping of a bitmap. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void set_clip_state(BITMAP *bitmap, int state)

DESCRIPTION
Turns on (if state is non-zero) or off (if state is zero) clipping for the specified bitmap. Turning clipping off may slightly speed up some drawing operations (usually a negligible difference, although every little helps) but will result in your program dying a horrible death if you try to draw beyond the edges of the bitmap.

SEE ALSO
set_clip_rect(3), get_clip_rect(3), add_clip_rect(3), get_clip_state(3)